org.apache.ignite.internal.managers

## Interface GridManager

All Superinterfaces:
  GridComponent

All Known Implementing Classes:
  GridCheckpointManager, GridCollisionManager, GridDeploymentManager, GridDiscoveryManager, GridEventStorageManager, GridFailoverManager, GridIndexingManager, GridIoManager, GridLoadBalancerManager, GridManagerAdapter, GridSwapSpaceManager

    @GridToStringExclude
    public interface GridManager
    extends GridComponent

This interface defines life-cycle for kernal manager. Managers provide layer of indirection between kernal and SPI modules. Kernel never calls SPI modules directly but rather calls manager that further delegate the apply to specific SPI module.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

Methods
`void` `addSpiAttributes(Map<String,Object> attrs)` Adds attributes from underlying SPI to map of all attributes.
`boolean` `enabled()`

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectDiscoveryData, discoveryDataType, onDiscoveryDataReceived, onKernalStart, onKernalStop, printMemoryStats, start, stop, validateNode`

### Method Detail

#### addSpiAttributes

    void addSpiAttributes(Map<String,Object> attrs)
                          throws IgniteCheckedException

Adds attributes from underlying SPI to map of all attributes.

Parameters:
  `attrs` - Map of all attributes gotten from SPI's so far.
Throws:
  `IgniteCheckedException` - Wrapper for exception thrown by underlying SPI.

#### enabled

    boolean enabled()

Returns:
  Returns `true` if at least one SPI does not have a `NO-OP` implementation, `false` otherwise.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015